Page MenuHome

Blender 2.8 crash on startup on Linux
Closed, ResolvedPublic

Description

System Information
Ubuntu 18.04.1
GeForce GTX 460
Driver: 340.107

Blender Version
Broken: blender-2.80-a2922f98400-linux-glibc224-x86_64 (from Oct 18 2018 00:01:19)
Worked: (optional): the daily version a few days before (and all of the last couple of weeks) worked.

Short description of error
Blender crashes immediately after startup (empty black windows visible for a few ms). Segmentation fault (core dumped)

Exact steps for others to reproduce the error
Start Blender after unpacking by double click or via CLI

Logs
/tmp/blender.crash.txt

# Blender 2.80 (sub 26), Commit date: 2018-10-17 18:46, Hash a2922f98400
Tool 'Cursor' not found.  # Warning
Tool 'Cursor' not found.  # Warning
Tool 'Cursor' not found.  # Warning

# backtrace
/home/togro/Desktop/blender-2.80-a2922f98400-linux-glibc224-x86_64/blender(BLI_system_backtrace+0x1d) [0x1b64e2d]
/home/togro/Desktop/blender-2.80-a2922f98400-linux-glibc224-x86_64/blender() [0x113aab9]
/lib/x86_64-linux-gnu/libc.so.6(+0x3ef20) [0x7fb19e166f20]
/home/togro/Desktop/blender-2.80-a2922f98400-linux-glibc224-x86_64/blender(GPU_shader_get_uniform_block+0x4) [0x17223f4]
/home/togro/Desktop/blender-2.80-a2922f98400-linux-glibc224-x86_64/blender() [0x173b7b3]
/home/togro/Desktop/blender-2.80-a2922f98400-linux-glibc224-x86_64/blender(DRW_shgroup_create+0x1c) [0x173cc4c]
/home/togro/Desktop/blender-2.80-a2922f98400-linux-glibc224-x86_64/blender() [0x174e382]
/home/togro/Desktop/blender-2.80-a2922f98400-linux-glibc224-x86_64/blender() [0x173809f]
/home/togro/Desktop/blender-2.80-a2922f98400-linux-glibc224-x86_64/blender(DRW_draw_render_loop_ex+0x17e) [0x173985e]
/home/togro/Desktop/blender-2.80-a2922f98400-linux-glibc224-x86_64/blender(view3d_main_region_draw+0x77) [0x121b367]
/home/togro/Desktop/blender-2.80-a2922f98400-linux-glibc224-x86_64/blender(ED_region_do_draw+0x811) [0x143bbe1]
/home/togro/Desktop/blender-2.80-a2922f98400-linux-glibc224-x86_64/blender(wm_draw_update+0x421) [0x113d1d1]
/home/togro/Desktop/blender-2.80-a2922f98400-linux-glibc224-x86_64/blender(WM_main+0x30) [0x113b470]
/home/togro/Desktop/blender-2.80-a2922f98400-linux-glibc224-x86_64/blender(main+0x327) [0x10a1857]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xe7) [0x7fb19e149b97]
/home/togro/Desktop/blender-2.80-a2922f98400-linux-glibc224-x86_64/blender(_start+0x2a) [0x113764a]

Output on STDOUT and STDERR attached as carsh.out

All the best,
Thomas

Event Timeline

Hey Thomas ,
I would like to debug this .
I am very new to contributing to blender and would love to learn.

340 is indeed a quite old driver version. But if it worked a few days before we should probably fix the issue regardless since some older NVIDIA cards are struck with older drivers.

This is likely caused by rBfe4840ed4d7b: Wireframe Overlay: Use Barycentric coord to optimize shader or one of the other recent changes in this code done by @Clément Foucault (fclem). I supposed to initialization of barycentric in overlay_face_wireframe_vert.glsl may need to be changed a bit to work around a compiler bug, dynamically indexing arrays has been a problem before.

@Sharan Ranjit (SharanRanjit), normally if something is broken by a developer's commit the same developer fixes it. If you have ideas for how to fix this or other bugs feel free to contribute though.

Brecht Van Lommel (brecht) triaged this task as Normal priority.Oct 19 2018, 11:48 AM

I know the driver is quite old, but I always had problems with the 390 version.

To help debugging I attached the output STDOUT and STDERR with the option --debug-gpu turned on.

I tried to fix it by renaming local variables rB905921d2b524c2657a727a5c3b8799e7d6e28161

Does that fix the problem for anyone?

Thanks Clement,
I'm now able to open Blender 2.8

Awesome, also fixed it for me on Win10!

Yeah, it's fixed for me too. Thanks a lot.

Was on holiday, so could not reply ...
The problem is fixed for me, too. Thanks a lot for you outstanding(!) work on blender!

Thanks Clement,
I'm now able to open Blender 2.8

How did you apply the fix?

Thanks and Regards,
Barney